<template>
    <div :class="['info-block', `info-block--${keylang}`]" :style="position">
        <div class="info-block__title">
            <base-background-circle v-if="background" />
            <div class="info-block__title-content">
                <img class="info-block__title-img" :src="imgSrc">
                <div class="info-block__title-text">{{ $t(`home.info.${keylang}`) }}</div>
            </div>
        </div>
        <p class="info-block__text">
            <slot></slot>
        </p>
    </div>
</template>

<script>
export default {
    name: 'home-info-block',
    props: {
        keylang: {
            type: String,
            required: true
        },
        icon: {
            type: String,
            required: true
        },
        background: {
            type: Boolean,
            required: false,
            default: false
        },
        position: {
            type: Object,
            required: true
        }
    },
    computed: {
        imgSrc() {
            return require(`icons/${this.icon}.svg`);
        }
    }
};
</script>

<style lang="sass">
    @import '~blocks/home-info-block';
</style>
